"""
Copyright 2016 VMware, Inc.  All rights reserved.
-- VMware Confidential
"""

'''
This file provides the hooks which will be invoked during patching process.
'''
import logging
from extensions import extend, Hook
logger = logging.getLogger(__name__)


@extend(Hook.Discovery)
def discover(ctx):
    logger.info("Auto Deploy is discovered")
    return None


@extend(Hook.Patch)
def patch(ctx):
    logger.info("Patching Auto Deploy")
